.TH wxDatePickerCtrl 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxDatePickerCtrl \- See external documentation: wxDatePickerCtrl\&.
.SH DESCRIPTION
.LP
See external documentation: wxDatePickerCtrl <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdatepickerctrl\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxPickerBase 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxDatePickerCtrl()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxDatePickerCtrl()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdatepickerctrl\&.html#wxdatepickerctrlwxdatepickerctrl>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxDatePickerCtrl()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxDatePickerCtrl()
.br
.RS
.TP
Types
Option = {date, datetime() (see module wx)} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdatepickerctrl\&.html#wxdatepickerctrlwxdatepickerctrl>\&.
.RE
.LP
.B
getRange(This::wxDatePickerCtrl(), Dt1::datetime() (see module wx), Dt2::datetime() (see module wx)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdatepickerctrl\&.html#wxdatepickerctrlgetrange>\&.
.RE
.LP
.B
getValue(This::wxDatePickerCtrl()) -> datetime() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdatepickerctrl\&.html#wxdatepickerctrlgetvalue>\&.
.RE
.LP
.B
setRange(This::wxDatePickerCtrl(), Dt1::datetime() (see module wx), Dt2::datetime() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdatepickerctrl\&.html#wxdatepickerctrlsetrange>\&.
.RE
.LP
.B
setValue(This::wxDatePickerCtrl(), Date::datetime() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdatepickerctrl\&.html#wxdatepickerctrlsetvalue>\&.
.RE
.LP
.B
destroy(This::wxDatePickerCtrl()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
